LINUX.ORG.RU

Как поставить packettracer на arch

 ,


0

1

Сейчас заблокирован доступ на netacad. Вариант с тем чтобы просто поставить packettracer и через него залогиниться в netacad и пользоваться не работает.

Также пытался использовать вариант поставить packet tracer 6.1 для студентов. С сайта скачал архив, где надо было установить программу выполнив в скрипт. После всех необходимых действий packettracer не запускался выдавая ошибку :

./PacketTracer6: error while loading shared libraries: libcrypto.so.1.0.0: cannot open shared object file: No such file or directory

Котрую пофиксить я так и не смог.

В общем буду невероятно рад любой помощи


Ответ на: комментарий от xDShot

Хороший вариант. Уже пройден мной. Клонировал это трепозиторий. потом вставлял .deb пакет с пакеттрейсером. Потом всё устанавливал успешно, но в конце меня ожидала проблема. Чтобы пользоваться им надо залогиниться в netacad.

Я потратил порядка 2 часов чтобы как-то зарегаться там а потом залогиниться и у меня не вышло.

mayar
() автор топика
Последнее исправление: mayar (всего исправлений: 1)
Ответ на: комментарий от krasnh

Понимаю. Я вот и не захотел возиться с этим. Решил попробовать ещё способы. Но никакой не дал результатов. Вот решил узнать, может кто знает как поставить пакеттрейсер.

Вообще вроде в винде всё норм работает. Подумываю о wine. Но я не умею его настраивать. И у меня места свободного 2 гига осталось. не уверен что смогу)

mayar
() автор топика
Ответ на: комментарий от mayar

Не, похоже они не пересекаются, можно смело ставить пакет «openssl-1.0 1.0.2.u-1». Там бинарник называется openssl-1.0, в отличие от дефолтного в системе /usr/bin/openssl.

Конечно, если это единственная проблемная либа, часто их там несколько. )

UPD. Хотя он и так уже установлен:

core/openssl-1.0 1.0.2.u-1 [installed]

krasnh ★★★★
()
Последнее исправление: krasnh (всего исправлений: 1)

https://aur.archlinux.org/packages/packettracer

В комментах пишут: «cisco заблокировало Россию». Не удивительно, что:

Я потратил порядка 2 часов чтобы как-то зарегаться там а потом залогиниться и у меня не вышло.

krasnh ★★★★
()
Последнее исправление: krasnh (всего исправлений: 1)
Ответ на: комментарий от krasnh

Хех. Ну косвенно этот ответ помог.

Прочитал комменты. И решил ещё раз попробовать. Скачал по ссылке в комментариях этот deb пакет https://mega.nz/file/634gSbwS#cPxUGCOfL3lI7jgta2XwXkYYQV_ZzSzhvSlZ2TdtyIM

Далее поставил пакеттрейсер как это и делал раньше. Потом выключил инет и о чудо. Оно не требует авторизации и работает корректно. Так ещё и последняя версия!!

Уж не знаю в чём дело. То ли deb пакет какой-то особенный, то ли выключенный инет так ломает систему защиты у пакеттрейсера, но факт остаётся файтом, всё работает.

krasnh и xDShot спасибо вам за помощь!

Инструкция для тех кто сталкнётся с такой же проблемой:

  • клонируем репо из aur. git clone https://aur.archlinux.org/packettracer.git
  • качаем по ссылке выше пакет и переносим его в склонированный проект.
  • makepkg после появляется пакет, который можно собрать через pacman
  • sudo pacman -U --noconfirm packettracer-8.2.0-1-x86_64.pkg.tar.zst
  • выключаем инет
  • packettracer
mayar
() автор топика